<?php
// Carregar o autoloader do Composer
require 'vendor/autoload.php';

// Importar as classes do PHPMailer
use vendor\PHPMailer\PHPMailer\src\PHPMailer;
use vendo\PHPMailer\PHPMailer\src\Exception;

function enviar_email($para, $assunto, $mensagem) {
    // Criar uma nova instância do PHPMailer
    $mail = new PHPMailer(true);

    try {
        // Configurar o servidor SMTP
        $mail->isSMTP();
        $mail->Host = 'mail.lebeh.com.br';
        $mail->SMTPAuth = true;
        $mail->Username = 'contacto@lebeh.com.br';
        $mail->Password = '83889096@#Aa';
        $mail->SMTPSecure = 'ssl';
        $mail->Port = 465;

        // Configurar o remetente e o destinatário
        $mail->setFrom('contacto@lebeh.com.br', 'Lebeh');
        $mail->addAddress($para);

        // Configurar o assunto e o corpo do e-mail
        $mail->Subject = $assunto;
        $mail->Body = $mensagem;

        // Enviar o e-mail
        $mail->send();

        return true;
    } catch (Exception $e) {
        return false;
    }
}
?>